import { post, upload } from "@/request/axios.js";

export const getSystemDocumentsTree = (params) =>
  post("/mfolder/listTree", params); // 体系文件树
export const getSystemDocumentsList = (params) => post("/mfolder/list", params); // 体系文件列表
export const setSystemDocumentsDelete = (params) =>
  post("/mfolder/delete", params); // 体系文件删除
export const setSystemDocumentsAddFolder = (params) =>
  post("/mfolder/add", params); // 体系文件添加文件夹
export const setSystemDocumentsUploadFile = (params) =>
  upload("/mfolder/upload", params); // 体系文件上传文件
export const setSystemDocumentsBatchUploadFile = (params) =>
  upload("/mfolder/batchUpload", params); // 体系文件批量上传文件
